Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #894

Segfault in new Blur Scope plugin - QT version
July 18, 2019 21:28 - Jim Turner

Status: Closed Start date: July 18, 2019
Priority: Major Due date:

Assignee: % Done: 100%
Category: plugins/blur scope Estimated time: 0.00 hour

Target version:

Affects version: 4.0

Description

Audacious will crash if running the Blur Scope plugin in either QT or Skins/QT if one clicks the plugin-settings button TWICE: First
time works correctly (pops up settings window with "Color" button), then pressing the [Close] button properly closes the popup
window. Second time immediately crashes Audacious!

I'm running latist Audacious GIT as/of 07/18. Test machine is running a 32-bit Debian Stretch derivative with QT
v5.7.1+dsfg-3+deb9u.

Steps to reproduce:

1) $>audacious -Q

2) [File].[Settings].[Plugins] (Plugin settings window pops up)

3) [Visualization].[check] Blur Scope

4) Click on "gear" icon: (color window pops up)

5) Click [Close] button on color window

6) Click on "gear" icon again (Audacious crashes with segfault - should pop up color window again).

History

#1 - July 25, 2019 17:22 - Thomas Lange
| could reproduce this easily on Arch Linux with Qt 5.13.0.

What | also noticed:
The color button does not change its background color after selecting one. Does this work for you?

#2 - July 26, 2019 00:03 - Jim Turner

It DOES correctly change the color for me (as long as | don't try to change it AGAIN before properly exiting Audacious).

#3 - July 27, 2019 21:47 - John Lindgren
- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed, thanks for reporting:
https://github.com/audacious-media-player/audacious-plugins/commit/af7119a14bbb17057d396d2d387bd540af0b03a9

#4 - July 28, 2019 00:25 - Jim Turner

Confirmed - That seems to have fixed it here!
Thanks,

Jim
